# Uses of Class
org.apache.commons.math3.exception.InsufficientDataException

Packages that use InsufficientDataException
Package
Description
org.apache.commons.math3.geometry.euclidean.twod.hull
This package provides algorithms to generate the convex hull for a set of points in an two-dimensional euclidean space.
org.apache.commons.math3.geometry.hull
This package provides interfaces and classes related to the convex hull problem.
org.apache.commons.math3.stat.inference
Classes providing hypothesis testing.

## Uses of InsufficientDataException in org.apache.commons.math3.geometry.euclidean.twod.hull

Methods in org.apache.commons.math3.geometry.euclidean.twod.hull that throw InsufficientDataException
Modifier and Type
Method
Description
`Region<Euclidean2D>`
ConvexHull2D.`createRegion()`
Returns a new region that is enclosed by the convex hull.

## Uses of InsufficientDataException in org.apache.commons.math3.geometry.hull

Methods in org.apache.commons.math3.geometry.hull that throw InsufficientDataException
Modifier and Type
Method
Description
`Region<S>`
ConvexHull.`createRegion()`
Returns a new region that is enclosed by the convex hull.

## Uses of InsufficientDataException in org.apache.commons.math3.stat.inference

Methods in org.apache.commons.math3.stat.inference that throw InsufficientDataException
Modifier and Type
Method
Description
`static double`
TestUtils.`kolmogorovSmirnovStatistic(double[] x, double[] y)`
`static double`
TestUtils.`kolmogorovSmirnovStatistic(RealDistribution dist, double[] data)`
`static double`
TestUtils.`kolmogorovSmirnovTest(double[] x, double[] y)`
`static double`
TestUtils.`kolmogorovSmirnovTest(double[] x, double[] y, boolean strict)`
`static double`
TestUtils.`kolmogorovSmirnovTest(RealDistribution dist, double[] data)`
`static double`
TestUtils.`kolmogorovSmirnovTest(RealDistribution dist, double[] data, boolean strict)`
`static boolean`
TestUtils.`kolmogorovSmirnovTest(RealDistribution dist, double[] data, double alpha)`